package com.zcxk.charge.api.enums;

import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * @author Andy
 * @version V1.0
 **/
@Getter
public enum ReportTypeEnum {

    /**
     * 年
     */
    YEAR(1),

    /**
     * 月
     */
    MONTH(2),

    /**
     * 日
     */
    DAY(3),

    /**
     * 自定义
     */
    CUSTOM(4),
    ;

    /**
     * 错误消息
     */
    private Integer code;

    ReportTypeEnum(Integer code){
        this.code = code;
    }

    public static ReportTypeEnum getReportTypeEnum(Integer code) {
        for (ReportTypeEnum value : ReportTypeEnum.values()) {
             if (value.getCode().equals(code)) {
                 return value;
             }
        }
        return null;
    }

    public static void main(String[] args) {
        System.out.println(ReportTypeEnum.getReportTypeEnum(6));
    }
}
